#include "vidicon.h"

#include <utility>

namespace zsy
{
    Vidicon::Vidicon(VidiconConfig config)
        : config(std::move(config)), status(Unavailable), bizLock(std::make_shared<BizLock>())
    {
    }

    std::string Vidicon::sn() const
    {
        return config.sn();
    }

    std::string Vidicon::name() const
    {
        return config.name();
    }
}